<?php

namespace Drupal\cmlstarter\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\taxonomy\TermInterface;

/**
 * Class TaxonomyTermController.
 */
class TaxonomyTermController extends ControllerBase {

  /**
   * Renders a taxonomy term page.
   *
   * @param \Drupal\taxonomy\TermInterface $taxonomy_term
   *   The taxonomy term to render.
   *
   * @return array
   *   A render array.
   */
  public function render(TermInterface $taxonomy_term) {
    if ($taxonomy_term->bundle() == 'catalog') {
      $renderable = views_embed_view('product', 'embed', $taxonomy_term->id());
    }
    if ($taxonomy_term->bundle() == 'brand') {
      $renderable = views_embed_view('product', 'embed_1', $taxonomy_term->id());
    }
    if ($taxonomy_term->bundle() == 'product_options') {
      $renderable = views_embed_view('product', 'embed_2', $taxonomy_term->id());
    }
    if (!empty($renderable)) {
      return $renderable;
    }
    else {
      $build = [
        '#type' => 'taxonomy_term',
        '#taxonomy_term' => $taxonomy_term,
        '#view_mode' => 'full',
      ];

      return $build;
    }
  }

}
